<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="loading$ | async as loading">
  <p-button severity="primary" [text]="true" (onClick)="$event.preventDefault(); $event.stopPropagation(); menu.toggle($event)" [loading]="loading">
    <div class="w-full h-8 flex items-center justify-center">
      <i *ngIf="!loading" class="pi pi-ellipsis-h text-white"></i>
    </div>
  </p-button>
</ng-container>
<p-menu #menu [model]="options" [popup]="true" appendTo="body"> </p-menu>
<app-confirmation-dialog
  key="delete-node"
  warningMessage="All data sources connected to this Data Broker become unavailable."
  callToActionMessage="Are you sure that you want to remove the Data Broker from the Organisation?"
></app-confirmation-dialog>
